{
    inputs = {
        nixpkgs.url = "nixpkgs";
        flake-utils.url = "github:numtide/flake-utils";
        kitchen.url = "github:zaphar/kitchen?ref=main";
    };

    outputs = {self, kitchen, nixpkgs, flake-utils, ...}:
        flake-utils.lib.eachDefaultSystem (system:
        {
            defaultPackage = let
                    pkgs = import nixpkgs { inherit system; };
                in with pkgs;
                stdenv.mkDerivation {
                    name = "recipes";
                    src = ./recipes;
                    phases = [ "installPhase" ];
                    installPhase = ''
                        mkdir $out
                        cp -r $src/ $out/
                    '';
                };
            devShell = 
                let
                    pkgs = import nixpkgs { inherit system; }; 
                in
                pkgs.mkShell {
                    buildInputs = [ kitchen.defaultPackage."${system}" ];
                };
        });
}